udftools

- Main Page
- Classes
- Files

- File List
- File Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Functions | Variables
wrudf-cmnd.c File Reference
`#include "config.h"`
`#include <stddef.h>`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <fcntl.h>`
`#include <string.h>`
`#include <unistd.h>`
`#include <dirent.h>`
`#include <sys/stat.h>`
`#include <errno.h>`
`#include "wrudf.h"`
Include dependency graph for wrudf-cmnd.c:

Go to the source code of this file.

## Functions
int | deleteDirectory (Directory *dir, struct fileIdentDesc *fid)
Directory * | makeDir (Directory *dir, char *name)
int | questionOverwrite (Directory *dir, struct fileIdentDesc *fid, char *name)
int | directoryIsEmpty (Directory *dir)
int | copyFile (Directory *dir, char *inName, char *newName, struct stat *fileStat)
int | copyDirectory (Directory *dir, char *name)
Directory * | readDirectory (Directory *parentDir, long_ad *icb, char *name)
int | updateDirectory (Directory *dir)
enum RV | analyzeDest (char *arg, struct fileIdentDesc **fid, char **name)
int | cpCommand (void)
int | rmCommand (void)
int | mkdirCommand (void)
int | rmdirCommand (void)
int | cdcCommand ()
int | lscCommand (void)
int | cdhCommand ()
int | lshCommand ()

## Variables
char * | hdWorkingDir

## Function Documentation

enum RV analyzeDest | ( | char * | arg,
|  | struct fileIdentDesc ** | fid,
|  | char ** | name
| ) |  |

Definition at line 688 of file wrudf-cmnd.c.

int cdcCommand | ( | void |  | ) |

Definition at line 948 of file wrudf-cmnd.c.

int cdhCommand | ( | void |  | ) |

Definition at line 1022 of file wrudf-cmnd.c.

int copyDirectory | ( | Directory * | dir,
|  | char * | name
| ) |  |

Definition at line 255 of file wrudf-cmnd.c.

int copyFile | ( | Directory * | dir,
|  | char * | inName,
|  | char * | newName,
|  | struct stat * | fileStat
| ) |  |

Definition at line 45 of file wrudf-cmnd.c.

int cpCommand | ( | void |  | ) |

Definition at line 763 of file wrudf-cmnd.c.

int deleteDirectory | ( | Directory * | dir,
|  | struct fileIdentDesc * | fid
| ) |  |

Definition at line 327 of file wrudf-cmnd.c.

int directoryIsEmpty | ( | Directory * | dir | ) |

Definition at line 1063 of file wrudf-cmnd.c.

int lscCommand | ( | void |  | ) |

Definition at line 964 of file wrudf-cmnd.c.

int lshCommand | ( | void |  | ) |

Definition at line 1039 of file wrudf-cmnd.c.

Directory * makeDir | ( | Directory * | dir,
|  | char * | name
| ) |  |

Definition at line 590 of file wrudf-cmnd.c.

int mkdirCommand | ( | void |  | ) |

Definition at line 891 of file wrudf-cmnd.c.

int questionOverwrite | ( | Directory * | dir,
|  | struct fileIdentDesc * | fid,
|  | char * | name
| ) |  |

Definition at line 1086 of file wrudf-cmnd.c.

Directory* readDirectory | ( | Directory * | parentDir,
|  | long_ad * | icb,
|  | char * | name
| ) |  |

Definition at line 383 of file wrudf-cmnd.c.

int rmCommand | ( | void |  | ) |

Definition at line 859 of file wrudf-cmnd.c.

int rmdirCommand | ( | void |  | ) |

Definition at line 924 of file wrudf-cmnd.c.

int updateDirectory | ( | Directory * | dir | ) |

Definition at line 453 of file wrudf-cmnd.c.

## Variable Documentation

char* hdWorkingDir

Definition at line 37 of file wrudf-cmnd.c.